From: "Miroslav Šulc" <fordfrog@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-plugins/audacious-plugins/
Date: Mon, 4 Nov 2024 09:13:19 +0000 (UTC) [thread overview]
Message-ID: <1730706559.a74d4049c878b53822860ee7e97d4fa5bfd1f6b9.fordfrog@gentoo> (raw)
commit: a74d4049c878b53822860ee7e97d4fa5bfd1f6b9
Author: Miroslav Šulc <fordfrog <AT> gentoo <DOT> org>
AuthorDate: Mon Nov 4 07:49:19 2024 +0000
Commit: Miroslav Šulc <fordfrog <AT> gentoo <DOT> org>
CommitDate: Mon Nov 4 07:49:19 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a74d4049
media-plugins/audacious-plugins: bump to 4.4.2
Signed-off-by: Miroslav Šulc <fordfrog <AT> gentoo.org>
media-plugins/audacious-plugins/Manifest | 1 +
.../audacious-plugins-4.4.2.ebuild | 204 +++++++++++++++++++++
2 files changed, 205 insertions(+)
diff --git a/media-plugins/audacious-plugins/Manifest b/media-plugins/audacious-plugins/Manifest
index 8f01b71ad5ea..90728f5b81a5 100644
--- a/media-plugins/audacious-plugins/Manifest
+++ b/media-plugins/audacious-plugins/Manifest
@@ -1,2 +1,3 @@
DIST audacious-plugins-4.3.1.tar.bz2 1786114 BLAKE2B 7d0a88411dc389e9f250ac126c02eff217ab4feb581527789cfe190f0fd997671fe06664d574d531296d884b2ae4f85f31a25f79ef09bd9db39640f17a0a97cf SHA512 ca065b4558406702e4f2aa2ac085ea02d3215e689e09e9c0b6a740970a469297910df52cd222997e8a4206a68d3a064ac3f6d94c6412830ce8bd34a5b42c30da
DIST audacious-plugins-4.4.1.tar.bz2 1815238 BLAKE2B 4ffa61818eeb01a34697c576b30832c7e4719c715080fec2b0d08f09ccce2ff9a8f95b6ce7af63ca5bf68de5c320258ef62716bb6819fd76cf7406546a0bf8c7 SHA512 0c97b4c1ba635b53f416680de57b6b5921b8f0afcefa713129475c006585d53581e8f693f89e705284383ce2f3f6c3e01def8bce9ba1371a18bee7e007884389
+DIST audacious-plugins-4.4.2.tar.bz2 1816431 BLAKE2B e25b8558f3238bcfa076b6aa192f33365da478dc6c1a9500ac36be8a7dd0a51265b5d951098247c1dd8532b2d9cc87cf4705f1226c917659bffb0b1d0a1a3bd2 SHA512 d7951b779a0d2d56efc2372125a4565cb2054bd64d7f1e25dfa7bb0042e7df0b6a40d776910b444fda61ba79aeb7bb010316ec1353a877f89f2bc8f1a3e9b342
diff --git a/media-plugins/audacious-plugins/audacious-plugins-4.4.2.ebuild b/media-plugins/audacious-plugins/audacious-plugins-4.4.2.ebuild
new file mode 100644
index 000000000000..f538336c8f2c
--- /dev/null
+++ b/media-plugins/audacious-plugins/audacious-plugins-4.4.2.ebuild
@@ -0,0 +1,204 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit meson
+
+DESCRIPTION="Lightweight and versatile audio player"
+HOMEPAGE="https://audacious-media-player.org/"
+SRC_URI="https://distfiles.audacious-media-player.org/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv ~x86"
+IUSE="
+ aac +alsa ampache bs2b cdda cue ffmpeg flac fluidsynth gme gtk http jack
+ lame libnotify libsamplerate lirc mms modplug mp3 opengl openmpt opus
+ pipewire pulseaudio qt6 scrobbler sdl sid sndfile soxr speedpitch
+ streamtuner vorbis wavpack X
+"
+
+REQUIRED_USE="
+ ampache? ( http )
+ streamtuner? ( http )
+"
+
+# The following plugins REQUIRE a GUI build of audacious, because non-GUI
+# builds do NOT install the libaudgui library & headers.
+# Plugins without a configure option:
+# alarm
+# albumart
+# delete-files
+# ladspa
+# playlist-manager
+# search-tool
+# skins
+# vtx
+# Plugins with a configure option:
+# glspectrum
+# gtkui
+# hotkey
+# notify
+# statusicon
+BDEPEND="
+ dev-util/gdbus-codegen
+ virtual/pkgconfig
+"
+DEPEND="
+ app-arch/unzip
+ dev-libs/glib:2
+ dev-libs/libxml2:2
+ ~media-sound/audacious-${PV}[gtk=,qt6=]
+ sys-libs/zlib
+ >=x11-libs/gdk-pixbuf-2.26:2
+ aac? ( >=media-libs/faad2-2.7 )
+ alsa? ( >=media-libs/alsa-lib-1.0.16 )
+ ampache? ( =media-libs/ampache_browser-1*:= )
+ bs2b? ( >=media-libs/libbs2b-3.0.0 )
+ cdda? (
+ >=dev-libs/libcdio-0.70:=
+ dev-libs/libcdio-paranoia:=
+ >=media-libs/libcddb-1.2.1
+ )
+ cue? ( media-libs/libcue:= )
+ ffmpeg? ( >=media-video/ffmpeg-0.7.3:= )
+ flac? (
+ >=media-libs/flac-1.2.1-r1:=
+ >=media-libs/libvorbis-1.0
+ )
+ fluidsynth? ( >=media-sound/fluidsynth-1.0.6:= )
+ gtk? (
+ >=dev-libs/json-glib-1.0
+ x11-libs/cairo
+ >=x11-libs/gtk+-3.22:3
+ x11-libs/pango
+ X? (
+ opengl? ( virtual/opengl )
+ x11-libs/libX11
+ x11-libs/libXcomposite
+ x11-libs/libXrender
+ )
+ )
+ http? ( >=net-libs/neon-0.27 )
+ jack? (
+ >=media-libs/bio2jack-0.4
+ virtual/jack
+ )
+ lame? ( media-sound/lame )
+ libnotify? ( >=x11-libs/libnotify-0.7 )
+ libsamplerate? ( media-libs/libsamplerate:= )
+ lirc? ( app-misc/lirc )
+ mms? ( >=media-libs/libmms-0.3 )
+ modplug? ( media-libs/libmodplug )
+ mp3? ( media-sound/mpg123-base )
+ openmpt? ( >=media-libs/libopenmpt-0.2 )
+ opus? ( >=media-libs/opusfile-0.4 )
+ pipewire? ( >=media-video/pipewire-0.3.26:= )
+ pulseaudio? ( >=media-libs/libpulse-0.9.5 )
+ qt6? (
+ dev-qt/qtbase:6[gui,opengl?,widgets]
+ dev-qt/qtmultimedia:6
+ X? (
+ dev-qt/qtbase:6=[X]
+ x11-libs/libX11
+ )
+ )
+ scrobbler? ( >=net-misc/curl-7.9.7 )
+ sdl? ( >=media-libs/libsdl2-2.0[sound] )
+ sid? ( >=media-libs/libsidplayfp-2.0 )
+ sndfile? ( >=media-libs/libsndfile-1.0.17-r1 )
+ soxr? ( media-libs/soxr )
+ speedpitch? ( media-libs/libsamplerate:= )
+ streamtuner? ( dev-qt/qtbase:6[network] )
+ vorbis? (
+ >=media-libs/libogg-1.1.3
+ >=media-libs/libvorbis-1.2.0
+ )
+ wavpack? ( >=media-sound/wavpack-4.50.1-r1 )
+"
+RDEPEND="${DEPEND}"
+
+pkg_setup() {
+ use mp3 || ewarn "MP3 support is optional, you may want to enable the mp3 USE-flag"
+}
+
+src_prepare() {
+ default
+ if ! use X; then
+ sed -i -e "s/dependency('x11',.*)/disabler()/" meson.build || die
+ fi
+}
+
+src_configure() {
+ local emesonargs=(
+ # GUI toolkits
+ $(meson_use gtk)
+ -Dgtk2=false
+ $(meson_use qt6 qt)
+ -Dqt5=false
+
+ # container plugins
+ $(meson_use cue cue)
+
+ # transport plugins
+ $(meson_use mms mms)
+ $(meson_use http neon)
+
+ # input plugins
+ $(meson_use aac aac)
+ -Dadplug=false
+ $(meson_use fluidsynth amidiplug)
+ $(meson_use cdda cdaudio)
+ $(meson_use gme console)
+ $(meson_use ffmpeg ffaudio)
+ $(meson_use flac flac)
+ $(meson_use modplug modplug)
+ $(meson_use mp3 mpg123)
+ $(meson_use openmpt openmpt)
+ $(meson_use opus opus)
+ $(meson_use sid sid)
+ $(meson_use sndfile sndfile)
+ $(meson_use vorbis vorbis)
+ $(meson_use wavpack wavpack)
+
+ # output plugins
+ $(meson_use alsa alsa)
+ -Dcoreaudio=false
+ # filewriter
+ $(meson_use flac filewriter-flac)
+ $(meson_use lame filewriter-mp3)
+ $(meson_use vorbis filewriter-ogg)
+ $(meson_use jack jack)
+ -Doss=false
+ $(meson_use pipewire pipewire)
+ $(meson_use pulseaudio pulse)
+ $(meson_use qt6 qtaudio)
+ $(meson_use sdl sdlout)
+ -Dsndio=false
+
+ # general plugins
+ $(meson_use ampache ampache)
+ $(meson_use X aosd)
+ $(meson_use X hotkey)
+ $(meson_use lirc lirc)
+ -Dmac-media-keys=false
+ -Dmpris2=true
+ $(meson_use libnotify notify)
+ $(meson_use scrobbler scrobbler2)
+ -Dsongchange=true
+ $(meson_use streamtuner streamtuner)
+
+ # effect plugins
+ $(meson_use bs2b bs2b)
+ $(meson_use libsamplerate resample)
+ $(meson_use soxr soxr)
+ $(meson_use speedpitch speedpitch)
+
+ # visualization plugins
+ $(meson_use opengl gl-spectrum)
+ -Dvumeter=true
+ )
+
+ meson_src_configure
+}
next reply other threads:[~2024-11-04 9:13 UTC|newest]
Thread overview: 111+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-11-04 9:13 Miroslav Šulc [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-12-07 13:55 [gentoo-commits] repo/gentoo:master commit in: media-plugins/audacious-plugins/ Miroslav Šulc
2024-12-06 10:11 Sam James
2024-12-06 10:04 Sam James
2024-11-04 9:13 Miroslav Šulc
2024-11-02 8:49 Michał Górny
2024-10-01 21:01 Matt Turner
2023-06-01 7:01 Miroslav Šulc
2023-05-31 12:42 Arthur Zamarin
2023-05-31 12:42 Arthur Zamarin
2023-05-31 7:50 Andreas Sturmlechner
2023-05-29 23:50 Sam James
2023-05-10 5:21 Miroslav Šulc
2023-05-09 5:52 Arthur Zamarin
2023-05-08 12:35 Sam James
2023-04-30 7:16 Miroslav Šulc
2023-04-07 8:12 Miroslav Šulc
2023-03-03 7:15 Joonas Niilola
2022-09-10 8:41 Sam James
2022-08-13 4:13 Miroslav Šulc
2022-08-12 10:33 Agostino Sarubbo
2022-08-12 10:17 Agostino Sarubbo
2022-07-11 4:22 Miroslav Šulc
2021-12-22 12:59 Agostino Sarubbo
2021-12-22 11:25 Jakov Smolić
2021-12-01 21:27 Sam James
2021-12-01 21:27 Sam James
2021-11-21 12:59 Joonas Niilola
2021-11-21 12:59 Joonas Niilola
2021-11-21 12:59 Joonas Niilola
2021-11-21 12:59 Joonas Niilola
2021-09-23 5:41 Yixun Lan
2020-10-01 15:53 Michał Górny
2020-07-28 14:25 Andreas Sturmlechner
2020-07-28 14:11 Sam James
2020-07-27 13:54 Sam James
2020-07-15 16:28 Andreas Sturmlechner
2020-06-02 11:54 Andreas Sturmlechner
2020-06-02 11:27 Andreas Sturmlechner
2020-06-02 11:27 Andreas Sturmlechner
2020-06-02 11:27 Andreas Sturmlechner
2020-05-28 18:56 Andreas Sturmlechner
2020-05-28 18:56 Andreas Sturmlechner
2020-05-28 18:56 Andreas Sturmlechner
2020-05-28 15:45 Agostino Sarubbo
2020-05-28 15:37 Agostino Sarubbo
2020-04-30 20:03 Andreas Sturmlechner
2020-04-30 20:03 Andreas Sturmlechner
2020-04-26 10:35 David Seifert
2020-04-16 19:54 Andreas Sturmlechner
2020-04-16 19:54 Andreas Sturmlechner
2020-03-24 23:03 Andreas Sturmlechner
2020-03-22 11:09 Andreas Sturmlechner
2020-03-21 22:40 Andreas Sturmlechner
2020-03-21 22:40 Andreas Sturmlechner
2020-01-25 19:02 David Seifert
2019-11-15 1:30 Andreas Sturmlechner
2019-11-15 0:36 Andreas Sturmlechner
2019-11-15 0:36 Andreas Sturmlechner
2019-11-15 0:36 Andreas Sturmlechner
2019-11-15 0:36 Andreas Sturmlechner
2019-11-15 0:36 Andreas Sturmlechner
2019-11-15 0:36 Andreas Sturmlechner
2019-11-12 10:45 Agostino Sarubbo
2019-03-10 22:46 Andreas Sturmlechner
2019-02-14 23:06 Andreas Sturmlechner
2018-12-13 0:32 Andreas Sturmlechner
2018-11-24 23:18 Andreas Sturmlechner
2018-11-24 23:18 Andreas Sturmlechner
2018-11-24 23:18 Andreas Sturmlechner
2018-11-23 22:04 Andreas Sturmlechner
2018-11-23 22:02 Andreas Sturmlechner
2018-11-23 21:33 Andreas Sturmlechner
2018-11-23 21:33 Andreas Sturmlechner
2018-11-23 21:33 Andreas Sturmlechner
2018-11-23 21:33 Andreas Sturmlechner
2018-11-19 22:53 Andreas Sturmlechner
2018-11-19 22:53 Andreas Sturmlechner
2018-11-19 22:53 Andreas Sturmlechner
2018-11-19 21:52 Andreas Sturmlechner
2018-11-19 21:52 Andreas Sturmlechner
2018-11-18 14:14 Andreas Sturmlechner
2018-11-18 14:14 Andreas Sturmlechner
2018-11-18 11:58 Andreas Sturmlechner
2018-11-17 23:42 Andreas Sturmlechner
2018-11-17 23:34 Andreas Sturmlechner
2018-11-17 23:34 Andreas Sturmlechner
2018-11-17 22:00 Andreas Sturmlechner
2018-11-17 22:00 Andreas Sturmlechner
2018-02-08 19:15 Andreas Sturmlechner
2017-12-09 21:34 Jason Donenfeld
2017-11-15 19:02 David Seifert
2017-11-14 9:48 David Seifert
2017-11-14 9:48 David Seifert
2017-11-14 9:48 David Seifert
2017-11-14 9:48 David Seifert
2017-11-07 6:43 David Seifert
2017-11-06 7:10 David Seifert
2017-11-05 17:50 Andreas Hüttel
2017-11-05 11:49 David Seifert
2017-05-13 11:49 Jeroen Roovers
2016-03-27 1:26 Robin H. Johnson
2016-02-14 17:02 Patrick Lauer
2015-12-24 21:42 Manuel Rüger
2015-11-13 9:48 Agostino Sarubbo
2015-11-12 10:37 Agostino Sarubbo
2015-09-29 13:38 Tobias Klausmann
2015-09-29 13:35 Tobias Klausmann
2015-09-24 11:02 Agostino Sarubbo
2015-09-24 11:01 Agostino Sarubbo
2015-08-14 8:03 Tony Vroon
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1730706559.a74d4049c878b53822860ee7e97d4fa5bfd1f6b9.fordfrog@gentoo \
--to=fordfrog@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox